<template>
	<view>
		<d-search-log :color_border="color_border" :color_text="color_border" :search_list_hot="search_list_hot"
			:store_key="store_key" @onClickDelAllApi="onClickDelAll" @onSearchNameApi="onSearchName"></d-search-log>

	</view>
</template>

<script>
	import dSearchLog from '@/uni_modules/d-search-log/components/d-search-log/d-search-log.vue'
	export default {
		components: {
			"dSearchLog": dSearchLog
		},
		data() {
			return {
				color_border: "#00aaff",
				search_list_hot: [],
				store_key: 'search_list',
			};
		},
		methods: {
			onClickDelAll() {
			},
			onSearchName(e) {
				uni.setStorageSync('search_val', e);
				uni.switchTab({
					url:"/pages/cardHolder/cardHolder"
					
				})
			}
		}
	}
</script>

<style lang="scss">

</style>